This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 114411 - Xclient copy/paste broken
Xclient copy/paste broken
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: emacs (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 15:57 EST by Mark Leary
Modified: 2015-01-07 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 23:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Leary 2004-01-27 15:57:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When running emacs as an x client on X-Win32, I can't copy from the 
emacs buffer and paste into any other window (or the emacs buffer 
itself for that matter).  I have not tested with XFree86, however 
this works fine with the version of emacs distributed with RH8.  Also 
xemacs on RHEL3 does not have this problem.

Version-Release number of selected component (if applicable):
21.3-4

How reproducible:
Always

Steps to Reproduce:
1.  Run emacs as an xclient.
2.  Copy text.
3.  Paste text.
    

Actual Results:  Clipboard is empty (or not overwritten)

Expected Results:  The copied text should be pasted.

Additional info:
Comment 1 Mark Leary 2004-01-27 16:07:15 EST
I take that back, xemacs doesn't work either... gedit however does.
Comment 2 Jens Petersen 2004-01-27 22:27:07 EST
Does it would in a xterm say?

Anyway X-Win32 is not a platform we support, so
I suggest you take this up with the vendor.
Comment 3 Jens Petersen 2004-01-27 22:28:24 EST
Sorry I meant "Does it work in a xterm or other X apps?"
Comment 4 Mark Leary 2004-01-27 23:23:57 EST
No it doesn't...

I just tested this with XFree86 and the problem remains...  I can't 
copy from emacs and paste to xterm, gedit or even another xterm 
window.

Please reopen the case as XFree86 is a supported platform.
Comment 5 Jens Petersen 2004-01-28 02:43:39 EST
Can you copy'n'paste from xterm to xterm say?
Comment 6 Mark Leary 2004-01-28 09:15:40 EST
Yes, I can.
Comment 7 Jens Petersen 2005-05-17 23:24:33 EDT
I just tried now with Fedora Core 2 and 4test3 and it seems to work fine
for me here.

Closing for now, please re-open if you're still seeing the problem.

Note You need to log in before you can comment on or make changes to this bug.